require "securerandom"

class Sinbotra::Bot
  class User
    Conversation = Struct.new(:id, :step)

    attr_reader :id
    attr_reader :conversation

    def initialize(id)
      @id = id
    end

    def end_conversation
      @conversation = nil
    end

    def update_conversation(id, step)
      @conversation = Conversation.new(id, step)
    end
  end
end
